Loading


Advertisement:

Author Topic: [Solved] Stripe not working on Payments Pro plugin  (Read 988 times)

ismael.ifh

  • Newbie
  • *
  • Posts: 19
[Solved] Stripe not working on Payments Pro plugin
« on: September 21, 2016, 07:58:36 pm »
Hello,

I have recently started configuring the plugin payments pro on my website http://ibelinmo.com. However, I cannot manage to get Stripe working. I have added an SSL certificate to the website and I am only using TSL 1.2 so the connection is as secure as possible.

Nonetheless, when I try to test Stripe to make a payment, I enter the test card data and it accepts it, but then I never get to the 'Transaction completed" screen. The small stripe screen says: "Please wait, we are processing the payment" and it just doesn't load (photo attached).

My debug.log shows this error:

[21-Sep-2016 17:47:16 Europe/Madrid] PHP Fatal error:  Uncaught exception 'Stripe\Error\Authentication' with message 'Stripe no longer supports API requests made with TLS 1.0. Please initiate HTTPS connections with TLS 1.2 or later. You can learn more about this at https://stripe.com/blog/upgrading-tls.' in /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiRequestor.php:100 from API request 'req_9EgIUHd0m2T4DQ'
Stack trace:
#0 /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiRequestor.php(210): Stripe\ApiRequestor->handleApiError('{\n  "error": {\n...', 401, Array, Array)
#1 /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiRequestor.php(60): Stripe\ApiRequestor->_interpretResponse('{\n  "error": {\n...', 401, Array)
#2 /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiResource.php(105): Stripe\ApiRequestor->request('post', '/v1/customers', Array, Array)
#3  in /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiRequestor.php on line 100


TLS 1.0 is not activated, so I don't know why this error... Plus, it shows on the log intermittently

Does anyone have a clue what may be the problem?

Thank you.
« Last Edit: September 22, 2016, 05:53:59 pm by ismael.ifh »

_CONEJO

  • Administrator
  • Hero Member
  • *****
  • Posts: 4657
Re: Stripe not working on Payments Pro plugin
« Reply #1 on: September 22, 2016, 10:55:37 am »
In case anyone encounter this same issue :

As we told you by support, version 3.3.2 of Osclass payments pro is updated to latest version of Stripe's API and should work with this new requirement. We're waiting for confirmation.


ismael.ifh

  • Newbie
  • *
  • Posts: 19
Re: Stripe not working on Payments Pro plugin
« Reply #2 on: September 22, 2016, 05:53:10 pm »
After days of checking with plugin support (they were very helpful), I found out that the problem was that I was using CentOS 6.7 and Stripe requires at least CentOS 6.8. After upgrading to CentOS 6.8, everything works fine!.

Support provided me with some useful links:

https://support.stripe.com/questions/how-do-i-upgrade-my-stripe-integration-from-tls-1-0-to-tls-1-2#php


https://support.stripe.com/questions/how-do-i-upgrade-my-openssl-to-support-tls-1-2

Thank you and hope this helps.

Desmondy09

  • Newbie
  • *
  • Posts: 2
Re: [Solved] Stripe not working on Payments Pro plugin
« Reply #3 on: September 24, 2016, 10:37:12 pm »
Hello,

I have recently started configuring the plugin payments pro on my website http://ibelinmo.com. However, I cannot manage to get Stripe working. I have added an SSL certificate to the website and I am only using TSL 1.2 so the connection is as secure as possible.

Nonetheless, when I try to test Stripe to make a payment, I enter the test card data and it accepts it, but then I never get to the 'Transaction completed" screen. The small stripe screen says: "Please wait, we are processing the payment" and it just doesn't load (photo attached).

My debug.log shows this error:

[21-Sep-2016 17:47:16 Europe/Madrid] PHP Fatal error:  Uncaught exception 'Stripe\Error\Authentication' with message 'Stripe no longer supports API requests made with TLS 1.0. Please initiate HTTPS connections with TLS 1.2 or later. You can learn more about this at https://stripe.com/blog/upgrading-tls.' in /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiRequestor.php:100 from API request 'req_9EgIUHd0m2T4DQ'
Stack trace:
#0 /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiRequestor.php(210): Stripe\ApiRequestor->handleApiError('{\n  "error": {\n...', 401, Array, Array)
#1 /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiRequestor.php(60): Stripe\ApiRequestor->_interpretResponse('{\n  "error": {\n...', 401, Array)
#2 /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiResource.php(105): Stripe\ApiRequestor->request('post', '/v1/customers', Array, Array)
#3  in /var/www/vhosts/ibelempleo.com/ibelinmo.com/oc-content/plugins/payment_pro/payments/stripe/lib/lib/ApiRequestor.php on line 100


TLS 1.0 is not activated, so I don't know why this error... Plus, it shows on the log intermittently

Does anyone have a clue what may be the problem?

Thank you.


Can u send me the plugin please? Thanks

_CONEJO

  • Administrator
  • Hero Member
  • *****
  • Posts: 4657